[
{
    blockid=manage;
    custom=com.netscape.management.msgserv.nntp.ManageExpirations;
    localvar={
	.headers="Nom d'h\u00f4te";
    },
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text="Modalit\u00e9s d'expiration";
		    font=["","",16];
		    wrap=$g.label.size5;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=table;
		    id=replicationtable;
		    label=adminlabel;
		    showedit=true;
		    buttonsat=east;
		    delimiter=" ";
		    columns=$.headers;
		    columns=[
			{
			    header="Modalit\u00e9s";
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{ /* network panel spec */

blockid=addDialog;

localvar =
{
  .group.type.label="Pour ce type de groupe";
  .group.patternmatch.label="Avec les groupes qui correspondent";
  .title.edit = "Modifier une modalit\u00e9 d'expiration personnalis\u00e9e";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Group Type */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          }, /* End host name label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Group Type Combo Box */
            ctrl=choice;
            items=["Tous","Anim\u00e9","Non anim\u00e9"];
            aligny=0.5;
            label=hostname;
            val=$type;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          { /* Pattern Match */
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.patternmatch.label;
            id=grouptype;
            label=hostname;
          }, /* End patter match label */
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Pattern match text box */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$pattern;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Se conformer aux en-t\u00eates d'expiration.";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="Nombre de jours de conservation des articles sans en-t\u00eates d'expiration :";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Remplacer les en-t\u00eates d'expiration.";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Nombre minimal de jours de conservation des articles :";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Nombre maximal de jours de conservation des articles :";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Pas d'expiration pour les articles.";
        showborder=false;
        val=$never;
      }
    ]
  }
]; /* network panel contents */
}, /* network panel spec */
{ /* Default expiration dialog */

blockid=defaultDialog;

localvar =
{
  .group.type.label="Nombre de jours de conservation de l'historique : ";
  .title.default = "Modifier la modalit\u00e9 d'expiration par d\u00e9faut";
};

content=
[
  { /* Group Type / pattern matching  */
    ctrl=pane;
    layout=[ybox];
    content = [
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=pane;
        layout=[xbox];
        content = [
          {
            ctrl=label;
            wrap=$.label.left.size;
            alignh=left;
            aligny=0.5;
            text=$.group.type.label;
            id=grouptype;
            label=hostname;
          },
          { /* comp. space */
            ctrl=hstrut;
            size=$.g.comp.space;
          },
          { /* Days to remember history */
            ctrl=text;
            aligny=0.5;
            label=hostname;
            val=$history;
          } /* End name textfield */
        ]
      },
      {
        ctrl=vstrut;
        size=$.g.comp.space;
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Se conformer aux en-t\u00eates d'expiration.";
        showborder=false;
        val=$obey;
        content=[
          {
            ctrl=pane;
            layout=[xbox];
            content=[
              {
                ctrl=rigid;
                dimension=[8,5];
              },
              {
                ctrl=label;
                text="Nombre de jours de conservation des articles sans en-t\u00eates d'expiration :";
                aligny=0.5;
              },
              {
                ctrl=text;
                aligny=0.5;
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Remplacer les en-t\u00eates d'expiration.";
        showborder=false;
        val=$override;
        content=[
          {
            ctrl=pane;
            layout=[ybox];
            content=[
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Nombre minimal de jours de conservation des articles :";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              },
              {
                ctrl=vstrut;
                size=$.g.comp.space;
              },
              {
                ctrl=pane;
                layout=[xbox];
                content=[
                  {
                    ctrl=rigid;
                    dimension=[8,5];
                  },
                  {
                    ctrl=label;
                    text="Nombre maximal de jours de conservation des articles :";
                    aligny=0.5;
                  },
                  {
                    ctrl=text;
                    aligny=0.5;
                  }
                ]
              }
            ]
          }
        ]
      },
      {
        ctrl=togglepane;
        group=foo;
        style=radio;
        text="Pas d'expiration pour les articles.";
        showborder=false;
        val=$never;
      }
    ]
  }
];
}

]
